Updates to pz:authentication documentation
[pazpar2-moved-to-github.git] / debian / pazpar2.init
index bd51473..0844749 100644 (file)
@@ -71,8 +71,8 @@ do_stop()
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
-       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       [ "$?" = 2 ] && return 2
+       #start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+       #[ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE
        return "$RETVAL"
@@ -97,7 +97,10 @@ case "$1" in
        do_start
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+               2) [ "$VERBOSE" = no ] && \
+                               log_daemon_msg "Starting $DESC" "$NAME"
+                       log_end_msg 1 
+               ;;
        esac
        ;;
   stop)
@@ -105,7 +108,10 @@ case "$1" in
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+               2) [ "$VERBOSE" = no ] && \
+                               log_daemon_msg "Stopping $DESC" "$NAME"
+                       log_end_msg 1 
+               ;;
        esac
        ;;
   #reload|force-reload)
@@ -139,9 +145,11 @@ case "$1" in
                ;;
        esac
        ;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
   *)
-       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-       echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
        exit 3
        ;;
 esac